Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 298124 - media-libs/mesa-7.7 doesn't fully respect LDFLAGS
Summary: media-libs/mesa-7.7 doesn't fully respect LDFLAGS
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All All
: High QA (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-12-23 17:51 UTC by Davide Pesavento
Modified: 2010-08-09 21:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Make gallium drivers respect LDFLAGS (mesa-7.7-LDFLAGS.patch,3.75 KB, patch)
2009-12-25 00:32 UTC, Davide Pesavento
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2009-12-23 17:51:26 UTC
QA Notice: Files built without respecting LDFLAGS have been detected
 Please include the following list of files in your report:
/usr/lib64/dri/radeon_dri.so
/usr/lib64/dri/EGL_r300.so
/usr/lib64/xorg/modules/drivers/modesetting_drv.so


Portage 2.2_rc60 (default/linux/amd64/10.0/desktop, gcc-4.4.2, glibc-2.11-r1, 2.6.32-wl-45973-g763e649 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.32-wl-45973-g763e649-x86_64-Intel-R-_Core-TM-2_CPU_T7600_@_2.33GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 23 Dec 2009 13:45:02 +0000
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.64
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core2 -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/                 ftp://ftp.unina.it/pub/linux/distributions/gentoo/"
LANG="it_IT.UTF-8"
LC_ALL="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="it"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--human-readable --prune-empty-dirs"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/underlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avahi bash-completion berkdb bluetooth branding bzip2 cairo caps cdda cddb cdr cli consolekit cracklib crypt curl cxx dbus djvu dri dts dv dvd dvdr emacs emboss encode evo exif expat fam ffmpeg fftw flac fontconfig ftp gd gdbm gif gmp gnutls gpm graphviz hal iconv icu idn imagemagick ipod ipv6 java5 java6 jingle jpeg jpeg2k kde lame latex lcms ldap libsamplerate lm_sensors lua lzma lzo mad matroska mikmod mmap mmx mng mozilla mp3 mp4 mpeg mplayer mudflap multilib musepack musicbrainz ncurses networkmanager nls nptl nptlonly offensive ogg opengl openmp pam pch pcre pdf png policykit ppds pppd pulseaudio qt3support qt4 quicktime readline reflection rss samba sasl sdl session slang sndfile socks5 speex spell spl sqlite sqlite3 sse sse2 ssl startup-notification svg sysfs syslog taglib tcpd theora threads thunar tiff truetype unicode usb v4l2 vcd vorbis wmf x264 xattr xcb xcomposite xine xinerama xml xorg xpm xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon radeonhd vesa" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

media-libs/mesa-7.7 was built with the following:
USE="gallium (multilib) nptl xcb -debug -motif -pic (-selinux)" VIDEO_CARDS="radeon radeonhd -intel -mach64 -mga -none -nouveau -r128 -savage -sis -sunffb (-svga) -tdfx -via" 
CFLAGS="-O2 -march=core2 -ggdb -pipe -ffast-math"
CXXFLAGS="-O2 -march=core2 -ggdb -pipe -ffast-math"
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-12-23 20:37:03 UTC
This bug concerns also at least:
/usr/lib64/dri/i915_dri.so
/usr/lib64/dri/EGL_i915.so
Comment 2 Davide Pesavento gentoo-dev 2009-12-25 00:32:20 UTC
Created attachment 214077 [details, diff]
Make gallium drivers respect LDFLAGS
Comment 3 Rémi Cardona gentoo-dev 2009-12-26 14:42:21 UTC
Your patch looks good, please open a bug upstream [1] and paste the URL here. Let's try to get it approved and committed upstream directly.

Thanks

[1] https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa